import React, { Component } from 'react';
import { ResolveThunks } from 'react-redux';
import { liftedDispatch, getReport } from '../actions';
import { StoreState } from '../reducers';
type StateProps = ReturnType<typeof mapStateToProps>;
type DispatchProps = ResolveThunks<typeof actionCreators>;
type Props = StateProps & DispatchProps;
declare class Actions extends Component<Props> {
    render(): React.JSX.Element;
}
declare const mapStateToProps: (state: StoreState) => {
    liftedState: import("../reducers/instances").State;
    monitorState: import("..").MonitorStateMonitorState | undefined;
    options: import("../reducers/instances").Options;
    monitor: string;
    dispatcherIsOpen: boolean;
    sliderIsOpen: boolean;
    reports: import("..").Data[];
    stateTreeSettings: import("..").StateTreeSettings;
};
declare const actionCreators: {
    liftedDispatch: typeof liftedDispatch;
    getReport: typeof getReport;
};
declare const _default: import("react-redux").ConnectedComponent<typeof Actions, {
    key?: React.Key | null | undefined;
    ref?: React.LegacyRef<Actions> | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
